# classes/phing/listener/NoBannerLogger.php

Extends DefaultLogger to strip out empty targets.

@author Andreas Aderhold andi@binarycloud.com

copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.listener
version
  $Revision: 912 $ $Date: 2010-10-12 03:08:31 +0200 (Tue, 12 Oct 2010) $

## \NoBannerLogger
jump to top

Extends DefaultLogger to strip out empty targets.

@author Andreas Aderhold andi@binarycloud.com

Extends from
  \DefaultLogger
author
  Andreas Aderhold
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.listener
version
  $Revision: 912 $ $Date: 2010-10-12 03:08:31 +0200 (Tue, 12 Oct 2010) $

### Properties

`$targetName= 'null'`
Default value `null` Details

Type

### Methods

`messageLogged( $event ) :`
Parameters

Name | Type | Description
--- | --- | ---
$event |  |

`targetFinished( $event ) :`
Parameters

Name | Type | Description
--- | --- | ---
$event |  |

`targetStarted( $event ) :`
Parameters

Name | Type | Description
--- | --- | ---
$event |  |

Documentation was generated by DocBlox 0.13.1.